Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class TangosolQueryCache

    java.lang.Object
      org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
          org.apache.openjpa.datacache.AbstractQueryCache
              kodo.datacache.TangosolQueryCache

All Implemented Interfaces:
  QueryCache, TypesChangedListener, Configurable, Closeable, EventManager

    public class TangosolQueryCache

extends AbstractQueryCache

A query cache that delegates to a Tangosol Coherence cache. Batch updates are performed atomically.

Field Summary
`static int` | `TYPE_DISTRIBUTED`
`static int` | `TYPE_NAMED`
`static int` | `TYPE_REPLICATED`

Fields inherited from class org.apache.openjpa.datacache.AbstractQueryCache
`conf, log`

Constructor Summary
`TangosolQueryCache()`

Method Summary
`protected void` | `clearInternal()`
`void` | `close()`
`void` | `endConfiguration()`
`boolean` | `getClearOnClose()` Whether the contents of the named cache will be cleared when the PersistenceManagerFactory is closed.
`protected QueryResult` | `getInternal(QueryKey key)`
`com.tangosol.net.NamedCache` | `getTangosolCache()`
`String` | `getTangosolCacheName()` Returns the name of the Tangosol cache to use.
`int` | `getTangosolCacheType()` The tangosol cache type as one of the TYPE constants.
`protected Collection` | `keySet()`
`protected com.tangosol.net.NamedCache` | `newTangosolQueryCache(String name)` Returns a new `NamedCache` for use as the underlying query cache.
`protected boolean` | `pinInternal(QueryKey key)` Coherence doesn't have a concept of expiring data, so pinning is meaningless.
`protected QueryResult` | `putInternal(QueryKey key, QueryResult value)`
`protected boolean` | `recacheUpdates()` Tangosol does not automatically update objects stored in the cache, so we must re-enlist them as appropriate.
`protected QueryResult` | `removeInternal(QueryKey key)`
`void` | `setClearOnClose(boolean clearOnClose)` Sets the option to clear the Tangosol cache when the PersistenceManagerFactory is closed.
`void` | `setTangosolCacheName(String name)` Sets the name of the Tangosol cache to use.
`void` | `setTangosolCacheType(int type)` The tangosol cache type as one of the TYPE constants.
`void` | `setTangosolCacheType(String type)` If `distributed`, this cache implementation will use a distibuted cache.
`protected boolean` | `unpinInternal(QueryKey key)` Coherence doesn't have a concept of expiring data, so unpinning is meaningless.
`void` | `writeLock()`
`void` | `writeUnlock()`

Methods inherited from class org.apache.openjpa.datacache.AbstractQueryCache
`addTypesChangedListener, afterCommit, clear, close, fireEvent, get, initialize, isClosed, newListenerCollection, onTypesChanged, pin, put, remove, removeAllInternal, removeTypesChangedListener, setConfiguration, startConfiguration, unpin`

Methods inherited from class org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
`addListener, fireEvent, getListeners, hasListener, hasListeners, isFailFast, removeListener, setFailFast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_DISTRIBUTED

    public static final int TYPE_DISTRIBUTED

See Also:
  Constant Field Values

### TYPE_REPLICATED

    public static final int TYPE_REPLICATED

See Also:
  Constant Field Values

### TYPE_NAMED

    public static final int TYPE_NAMED

See Also:
  Constant Field Values

Constructor Detail

### TangosolQueryCache

    public TangosolQueryCache()

Method Detail

### getTangosolCache

    public com.tangosol.net.NamedCache getTangosolCache()

### setTangosolCacheName

    public void setTangosolCacheName(String name)

  Sets the name of the Tangosol cache to use.

### getTangosolCacheName

    public final String getTangosolCacheName()

  Returns the name of the Tangosol cache to use.

### setTangosolCacheType

    public void setTangosolCacheType(int type)

  The tangosol cache type as one of the TYPE constants.

### getTangosolCacheType

    public int getTangosolCacheType()

  The tangosol cache type as one of the TYPE constants.

### setTangosolCacheType

    public void setTangosolCacheType(String type)

  If `distributed`, this cache implementation will use a distibuted cache. If `replicated`, this cache implementation will use a replicated cache. If left unset or set to `named`, the cache is looked up through Coherence's named-cache lookup mechanisms. This method is primarily used for automated string-based configuration.

### setClearOnClose

    public void setClearOnClose(boolean clearOnClose)

  Sets the option to clear the Tangosol cache when the PersistenceManagerFactory is closed. When this option is true, all contents of the named cache will be cleared. Defaults to false.

### getClearOnClose

    public boolean getClearOnClose()

  Whether the contents of the named cache will be cleared when the PersistenceManagerFactory is closed.

### writeLock

    public void writeLock()

### writeUnlock

    public void writeUnlock()

### getInternal

    protected QueryResult getInternal(QueryKey key)

  Specified by:
    `getInternal` in class `AbstractQueryCache`

### putInternal

    protected QueryResult putInternal(QueryKey key,
                                      QueryResult value)

  Specified by:
    `putInternal` in class `AbstractQueryCache`

### removeInternal

    protected QueryResult removeInternal(QueryKey key)

  Specified by:
    `removeInternal` in class `AbstractQueryCache`

### clearInternal

    protected void clearInternal()

  Specified by:
    `clearInternal` in class `AbstractQueryCache`

### pinInternal

    protected boolean pinInternal(QueryKey key)

  Coherence doesn't have a concept of expiring data, so pinning is meaningless. This method is equivalent to invoking `Map.containsKey(java.lang.Object)`.

  Specified by:
    `pinInternal` in class `AbstractQueryCache`

### unpinInternal

    protected boolean unpinInternal(QueryKey key)

  Coherence doesn't have a concept of expiring data, so unpinning is meaningless. This method is equivalent to invoking `Map.containsKey(java.lang.Object)`.

  Specified by:
    `unpinInternal` in class `AbstractQueryCache`

### recacheUpdates

    protected boolean recacheUpdates()

  Tangosol does not automatically update objects stored in the cache, so we must re-enlist them as appropriate.

### keySet

    protected Collection keySet()

  Specified by:
    `keySet` in class `AbstractQueryCache`

### close

    public void close()

  Specified by:
    `close` in interface `QueryCache`
  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `AbstractQueryCache`

### endConfiguration

    public void endConfiguration()

  Specified by:
    `endConfiguration` in interface `Configurable`
  Overrides:
    `endConfiguration` in class `AbstractQueryCache`

### newTangosolQueryCache

    protected com.tangosol.net.NamedCache newTangosolQueryCache(String name)

  Returns a new `NamedCache` for use as the underlying query cache. This implementation returns a `NamedCache` obtained by invoking `CacheFactory.getCache(java.lang.String)` unless the `TangosolCacheType` optional QueryCache property is set to `distributed` or to `replicated`, in which case `CacheFactory.getDistributedCache(java.lang.String)` or `CacheFactory.getReplicatedCache(java.lang.String)` are invoked, as appropriate. It uses the name specified by the `TangosolCacheName` property, or `"kodo"` if unset. To implement a more sophisticated caching strategy, override this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.